<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [FileMetadata](./bitburner.filemetadata.md)

## FileMetadata interface

Metadata of a file

**Signature:**

```typescript
interface FileMetadata 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[atime](./bitburner.filemetadata.atime.md)


</td><td>


</td><td>

number


</td><td>

Time of Access


</td></tr>
<tr><td>

[btime](./bitburner.filemetadata.btime.md)


</td><td>


</td><td>

number


</td><td>

Time of Birth (creation)


</td></tr>
<tr><td>

[mtime](./bitburner.filemetadata.mtime.md)


</td><td>


</td><td>

number


</td><td>

Time of Modification


</td></tr>
</tbody></table>

